%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Tool to extract reports and run plug-ins against those extracted reports
Name: sx
Version: 2.17
Release: 10%{?dist}
URL: http://fedorahosted.org/sx
Source0: https://git.fedorahosted.org/cgit/sx.git/snapshot/%{name}-%{version}.tar.gz
License: GPLv2
Group: Applications/Archiving
BuildArch: noarch
BuildRequires: python2-devel python2-setuptools
Requires: python2 python2-pycurl

%description
sxconsole is a tool used to extract various report types and then
analyze those extracted reports with plug-ins. The tool also provides
an archiving structure so that all the compressed and extracted
reports are saved to a directory. This tool was developed for
sysreport/sosreports but has been expanded to include any report that
has a class defined.

%prep
%setup -q

%build
%py2_build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%py2_install

%files
%doc LICENSE AUTHORS PKG-INFO CHANGELOG
%doc doc/*
%{_bindir}/sxconsole
%{python2_sitelib}/*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.17-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.17-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.17-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.17-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.17-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 05 2014 Pierguido Lambri <plambri@fedoraproject.org> - 2.17-1
- Update to sx-2.17 (BZ#1094375)
- Fix some parsing issues of strings in logger and strings when formatting tables.
- Fixed an error that was thrown if user did not have privledges for user configuration directory that would be created.
- Added check to make sure that fsck option is not enabled on GFS/GFS2 filesystems.
- The cluster services are no longer printed to a file and now a total counted in printed in summary.
- Add ip to bonding output in networking plugin.
- Add check for quromd section that is not running master_wins && 2 nodes with no heuristics.
- It detects broadcast, but multicast configured on RHEL4.
- Detects if quorum disk did not have heuristics configured when not using master_wins mode on RHEL 5.
- Added multiple evaluations for correctly configured quorum disk.
- Check to verify that if fence_scsi is used on virtual machines that iscsi is used on all shared storage.
- Added unfence check to see if fence agent supports that tag.
- Changed the cluster boot up services summary to a table.
- Add checks and summary information on pacemaker cluster.
- Added new option (-t) so that timestamp could be set.

* Sat Feb 22 2014 Niels de Vos <devos@fedoraproject.org> - 2.16-1
- Update to sx-2.16 (#1068700)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Shane Bradley <sbradley@redhat.com>- 2.15-0.0
- bz955343: There was incorrect labeling on cluster.py when there was no rpms
  found, instead of being split by HA and RS, they are split by packages and 
  module-packages.
- Changed the chkconfig cluster service summary output to display enabled and 
  disabled services.
- Modified bonding mode check for clusterevaluator since there is some new 
  supported modes.
- A devicemapper parser error when libudev entries were in the files for 
  dmsetup_info and lvs.
- Fix all the urls since kcs changed.
- Added a catch all exception that will write a debug file if uncaught 
  exception is raised.
- Added a check and summary output for transport mode which includes: 
  broadcast, multicast, and updu.
- Added code to check all valid values for attributes that can be enabled and 
  disabled for /etc/cluster/cluster.conf.
- Fixed parsing of sos_commands/startup/chkconfig_--list for spanish words.

* Fri Feb 15 2013 Niels de Vos <devos@fedoraproject.org> - 2.14-1
- Update to sx-2.14 (RHBZ#911606)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 06 2012 Pierguido Lambri <plambri@fedoraproject.org> - 2.13-1
- Update to sx-2.13

* Mon Oct 01 2012 Pierguido Lambri <plambri@fedoraproject.org> - 2.12-1
- Update to sx-2.12

* Fri Jul 18 2012 Pierguido Lambri <plambri@fedoraproject.org> - 2.11-1
- Update to sx-2.11

* Fri Apr 27 2012 Niels de Vos <devos@fedoraproject.org> - 2.10-1
- Update to sx-2.10

* Mon Feb 27 2012 Niels de Vos <devos@fedoraproject.org> - 2.09-1
- Update to the latest version

* Fri Jan 06 2012 Niels de Vos <devos@fedoraproject.org> - 2.07-1
- Update to the latest version
- Drop CHANGELOG.Fedora as the tarball includes a CHANGELOG

* Wed Dec 07 2011 Niels de Vos <devos@fedoraproject.org> - 2.06-14
- Bump the version so that upstream packages get replaced

* Mon Dec 05 2011 Niels de Vos <devos@fedoraproject.org> - 2.06-1
- Update to current version
- Add separate CHANGELOG

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.03-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 13 2010 Shane Bradley <sbradley@redhat.com>- 2.03-8
- Updated sx.spec and build procedures to be compliant with fedoraproject.org.
- Fixed issue where archived reports could not be loaded.

* Thu Aug 26 2010 Shane Bradley <sbradley@redhat.com>- 2.03-7
- Changed LICENSE to GPLv2
- Cleaned up the build process
- Cleaned up TarBall class
- Tweaked plugin/report classes
- Added option to checksysreport to enable native or binary execution to gather data.
- Removed checksysreport dependency and added error checking.
- Updating docs
- Minor tweaks and fixes

* Mon Jul 19 2010 Shane Bradley <sbradley@redhat.com>- 2.03-6
- Fix bug in generating network maps did not account for capitalized letters
- Added options to opensosreport for choosing fileviewer
- Added options to yakuake for choosing fileviewer and if msglogs are opened
- Added colorized text for listing of plugins with -l option
- Fix a few bugs
- Added new plugin for opening sosreport html reports in browser
- Added plugin options, so plugin can be customized

* Thu Jul 01 2010 Shane Bradley <sbradley@redhat.com>- 2.03-5
- Refactor out the helper functions for reports, moved them to sreport with sosreport/sysreport inherit
- Fixed bug for -R option when dir did not exist
- Refactor cluster plugin and it libs 
- Added yakuake.py plugin into default binary for package
- Fixed some logging issues

* Tue Jun 22 2010 Shane Bradley <sbradley@redhat.com>- 2.03-4
- Fixed bug in disabled/enabled plugins
- Added better filepath handling with -f option
- Moved cluster plugin report file to one file

* Thu Jun 17 2010 Shane Bradley <sbradley@redhat.com>- 2.03-3
- Fixed bug in cluster summary and edited summary for no packages installed.

* Tue Jun 15 2010 Shane Bradley <sbradley@redhat.com>- 2.03-2
- Added console message to list files that were created.
- Add console message and new summary file to cluster plugin.
- Cleaned up cluster/checksysreport plugins.
- Added option to load previous extracted reports.

* Fri Jun 11 2010 Shane Bradley <sbradley@redhat.com>- 2.03-1
- Added new cluster plugin and cleaned up functions for it
- Fix EOF error on tarballs so now those files are skipped

* Thu Mar 17 2010 Shane Bradley <sbradley@redhat.com>- 2.02-5
- Fixed is cluster node name in hosts file bug

* Thu Jul 9 2009 Shane Bradley <sbradley@redhat.com>- 2.02-4
- Factored out some code to streamline and simplify
- Fix command option error that did not check for disable plugin option
- Fix index error on parsing cluster.conf(via multicast section)

* Thu Jul 9 2009 Shane Bradley <sbradley@redhat.com>- 2.02-3
- Fix build error 

* Thu Jul 9 2009 Shane Bradley <sbradley@redhat.com>- 2.02-2
- Added support for userdefined reports/plugins
- Added some new rhnsat functions for package detection
- Fixed qdisk bug where would not always find out if enabled.
- Fixed a couple of bugs which include verifing tarfile type is correct.
- Fixed some document information.
- Fixed error on pulling in nonreport file types
- Finished writing on API docs.

* Thu Jun 25 2009 Shane Bradley <sbradley@redhat.com>- 2.01-1
- sxconsole is not pluggable for reports and tests
- Rewrote cluster tools and added more tests
- Refactored and cleaned up core of code
- Removed sxqt for now since refactoring of code will break it

* Wed Apr 29 2009 Shane Bradley <sbradley@redhat.com>- 1.01-13
- Fixed bug with qdisk that reported in correct result on runlevel detection.
- Fixed changelog on release versions updates.

* Mon Apr 27 2009 Shane Bradley <sbradley@redhat.com>- 1.01-12
- Updated sx.spec to be fedorahosted compliant. Added qdisk support. 
- Added if statements on xml to make sure item exists

* Thu Apr 16 2009 Shane Bradley <sbradley@redhat.com>- 1.01-11
- Fixed bug in the list of valid sosreports that were moved.

* Thu Apr 16 2009 Shane Bradley <sbradley@redhat.com>- 1.01-10
- Fixed two issues: nonsosreport *.tar.bz2 will stop sx and gfs module compare would fail incorrectly

* Mon Mar 09 2009 Shane Bradley <sbradley@redhat.com>- 1.01-9
- Fixed the -R, so that if file does not exist it will not error out.

* Sun Mar 01 2009 Shane Bradley <sbradley@redhat.com>- 1.01-8
- Fixed the -R, it was not running because of nested loop

* Sun Mar 01 2009 Shane Bradley <sbradley@redhat.com>- 1.01-7
- Fix the gui from crashing if root directory does not exist

* Thu Feb 26 2009 Shane Bradley <sbradley@redhat.com>- 1.01-6
- Removed import options, added directory view on tree to import, added highlighting on search

* Wed Feb 11 2009 Shane Bradley <sbradley@redhat.com>- 1.01-5
- Fix add file dialog to goto last dir, fixed some warning for checking checksysreport file, fixed loop in acpi checking

* Tue Feb 10 2009 Shane Bradley <sbradley@redhat.com>- 1.01-4
- Added support for 7 characters that will enable support for larger ticket numbers.

* Wed Jan 21 2009 Shane Bradley <sbradley@redhat.com>- 1.01-2
- Fixed a few bugs, remove yakuake support, added new option to generate rhcs kernel table.

* Wed Dec 17 2008 Shane Bradley <sbradley@redhat.com>- 1.01-1
- First release of new version of sx with pyqt4 gui support.
